Subject: Re: [PATCH net-next 2/4] bonding: use common mac addr checks

From: Jay Vosburgh <[email-masked]>
Date: Fri, 11 May 2018 14:29:16 -0700

Banerjee, Debabrata <[email-masked]> wrote:

>> From: Jay Vosburgh [mailto:[email-masked]]
>> Debabrata Banerjee <[email-masked]> wrote:
>
>> >-				if
>> (!ether_addr_equal_64bits(rx_hash_table[index].mac_dst,
>> >-							     mac_bcast) &&
>> >-
>> !is_zero_ether_addr(rx_hash_table[index].mac_dst)) {
>> >+				if
>> (is_valid_ether_addr(rx_hash_table[index].mac_dst)) {
>> 
>> 	This change and the similar ones below will now fail non-broadcast
>> multicast Ethernet addresses, where the prior code would not.  Is this an
>> intentional change?
>
>Yes I don't see how it makes sense to use multicast addresses at all, but I may be missing something. It's also illegal according to rfc1812 3.3.2, but obviously this balancing mode is trying to be very clever. We probably shouldn't violate the rfc anyway.

	Fair enough, but I think it would be good to call this out in
the change log just in case it does somehow cause a regression.

	-J

---
	-Jay Vosburgh, [email-masked]